use crate::relay::ws;
use crate::utils::structs::Context;
use std::net::SocketAddr;
use warp::{Rejection, Reply};

pub async fn ws_handler(
    ws: warp::ws::Ws,
    context: Context,
    client_ip: Option<SocketAddr>,
    real_client_ip: Option<SocketAddr>,
) -> Result<impl Reply, Rejection> {
    Ok(ws.on_upgrade(move |socket| {
        ws::client_connection(socket, context, client_ip, real_client_ip)
    }))
}
